#include <stdio.h>
#define MAXN 20000
//#define MAXN 20

double avn[MAXN], avm[MAXN], p[MAXN];

int main() {
	int i;
	int n, m, k;
	freopen("easy.in", "r", stdin);
	freopen("easy.out", "w", stdout);
	scanf("%d %d %d", &m, &n, &k);
	for (i = 1; i <= k; i++)
		scanf("%lf", p + i);
	for (i = n; i <= k; i++) {
		int j;
		for (avn[i] = 0.0, j = n - 1; j >= 0; j--)
			avn[i] += p[i - j];
		for (avm[i] = 0.0, j = m - 1; j >= 0; j--)
			avm[i] += p[i - j];
		avn[i] /= n;
		avm[i] /= m;
		if (avn[i] < avm[i]) {
			if (i == n || avn[i - 1] > avm[i - 1])
				printf("BUY ON DAY %d\n", i);
		} else 
		if (avn[i] > avm[i]) {
			if (i == n || avn[i - 1] < avm[i - 1])
				printf("SELL ON DAY %d\n", i);
		}
	}
	return 0;
}